Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
World of Warcraft

Novinky: Děkujeme všem návštěvníkům fóra, kteří ochotně radí ostatním. Vaše práce je velmi potřebná a vážíme si jí.

Autor Téma: Lubuntu 15.04 - nejede wifi po aktualizaci  (Přečteno 2303 krát)

Kattynka

  • Návštěvník
  • *
  • Příspěvků: 15
  • Karma: +1/-0
    • Zobrazit profil
Lubuntu 15.04 - nejede wifi po aktualizaci
« kdy: 16 Červenec 2016, 22:56:00 »
Dneska ráno se mi stáhly aktualizace a nainstalovaly se. Během jedné aktualizace vyskočilo okno, kde bylo něco se "Secure boot UEFI", bohužel jsem si ho nezapamatovala. Nicméně po instalaci a restartu počítače se stalo, že se mi nedokáže počítač připojit na žádnou WIFI.

Mám DELL Inspiron 3543, systém Lubuntu 15.04. Zkoušela jsem přeinstalovat ovladače pro nm-applet, kterým jsem do této chvíle ovládala WIFI připojení. Zkusila jsem nainstalovat i wicd. Ani v jednom se mi neukazují WIFI sítě a není tam možnost je aktivovat.

Po výpisu příkazu iwconfig jsem zjistila, že systém ani nevidí wifi adaptér.
Výpis iwconfig:

enp7s0 no wireless extensions.
l0        no wireless extensions.

Příkaz rfkill list all vypíše pouze:
1: hci0: Bluetooth
           Soft blocked: no
           Hard blocked: no

Vypadá to, že mi chybí ovladač na adaptér wifi, nicméně když najedu na Volby -> Software & Aktualizace -> Dodatečné ovladače, tak u kolonky Broadcom Corporation: BCM43142 802.11b/g/n (Wireless 1704 802.11n + BT 4.0) mám označeno nadále "Použít Ovladač bezdrátových karet Broadcom 802.11 Linux STA z bcmwl-kernel-source (nesvobodný)"

Bohužel nemám další nápad, budu vděčná za každou radu. Pokud se to tu už řešilo, tak se omlouvám za duplicitu, bohužel jsem to nedokázala dohledat.

petertomasy

  • Stálý člen
  • ***
  • Příspěvků: 750
  • Karma: +86/-8
    • Zobrazit profil

Kattynka

  • Návštěvník
  • *
  • Příspěvků: 15
  • Karma: +1/-0
    • Zobrazit profil
Re:Lubuntu 15.04 - nejede wifi po aktualizaci
« Odpověď #2 kdy: 19 Červenec 2016, 16:21:43 »
Děkuji za odkaz, ačkoli jsem to vzala postupně, tak mi Wifi nadále nejede :(

Kód: [Vybrat]
sudo modprobe -r b43 ssb wl brcmfmac brcmsmac bcma
sudo modprobe wl

U druhého příkazu mi to vypíše:

Kód: [Vybrat]
modprobe: ERROR: could not insert 'wl': Required key not available

Ačkoli jsem podle návodu klíč zapsala. Nějaká rada?
« Poslední změna: 19 Červenec 2016, 16:25:45 od Kattynka »

vxmery

Re:Lubuntu 15.04 - nejede wifi po aktualizaci
« Odpověď #3 kdy: 19 Červenec 2016, 16:44:19 »
Citace
Mám DELL Inspiron 3543, systém Lubuntu 15.04
Pre Lubuntu 15.04 podpora skončila. Keď prejdeš na Lubuntu 14.04 LTS, máš podporu do apríla 2017.
Dobrá nálada nevyrieši všetky problémy ale naserie toľko ľudí, že stojí za to si ju zachovať.
Linux Mint 17.3

Kattynka

  • Návštěvník
  • *
  • Příspěvků: 15
  • Karma: +1/-0
    • Zobrazit profil
Re:Lubuntu 15.04 - nejede wifi po aktualizaci
« Odpověď #4 kdy: 19 Červenec 2016, 20:56:17 »
Citace
Mám DELL Inspiron 3543, systém Lubuntu 15.04
Pre Lubuntu 15.04 podpora skončila. Keď prejdeš na Lubuntu 14.04 LTS, máš podporu do apríla 2017.

Mám snížit verzi systému? Nebo jsi myslel 16.04 ?

vxmery

Re:Lubuntu 15.04 - nejede wifi po aktualizaci
« Odpověď #5 kdy: 19 Červenec 2016, 21:19:33 »
Citace
Mám snížit verzi systému? Nebo jsi myslel 16.04 ?
LTS verzie sú stabilnejšie a majú 5 ročnú (Ubuntu) alebo 3 ročnú (Lubuntu) podporu.
Takže Lubuntu 14.04 je podporované do apríla 2017 a má odchytané  chyby.
Lubuntu 16.04 je podporované do apíla 2019 ale ešte môže obsahovať chyby .
Každopádne prípadné ťažkosti lahšie vyriešiš s LTS verziou Lubuntu.
Je samozrejme na Tebe, pre ktorú verziu sa rozhodneš. 15.04 už odpočíva v pokoji  :(
To som myslel  ;)
Dobrá nálada nevyrieši všetky problémy ale naserie toľko ľudí, že stojí za to si ju zachovať.
Linux Mint 17.3

petertomasy

  • Stálý člen
  • ***
  • Příspěvků: 750
  • Karma: +86/-8
    • Zobrazit profil
Re:Lubuntu 15.04 - nejede wifi po aktualizaci
« Odpověď #6 kdy: 19 Červenec 2016, 21:56:48 »
Citace
Ačkoli jsem podle návodu klíč zapsala. Nějaká rada?

Citace
modprobe: ERROR: could not insert 'wl': Required key not available



Očividne ten kľúč nemáš podpísaný ... Takže si podľa návodu asi klíč nezapsala.

v skratke : pošli sem celý tvoj postup, príkaz po príkaze ... tak najľahšie zistíme kde robíš chybu  ;)

Kattynka

  • Návštěvník
  • *
  • Příspěvků: 15
  • Karma: +1/-0
    • Zobrazit profil
Re:Lubuntu 15.04 - nejede wifi po aktualizaci
« Odpověď #7 kdy: 19 Červenec 2016, 23:11:32 »
petertomasy příkazy a výpisy tady a zjistila jsem, že mám teda verzi 15.10.

Příkaz:
lspci -vvnn | grep -A 9 Network

Kód: [Vybrat]
06:00.0 Network controller [0280]: Broadcom Corporation BCM43142 802.11b/g/n [14e4:4365] (rev 01)
Subsystem: Dell Wireless 1704 802.11n + BT 4.0 [1028:0016]
Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
Interrupt: pin A routed to IRQ 255
Region 0: Memory at f7200000 (64-bit, non-prefetchable) [disabled] [size=32K]
Capabilities: <access denied>

07:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8101/2/6E PCI Express Fast/Gigabit Ethernet controller [10ec:8136] (rev 07)
Subsystem: Dell Device [1028:0655]

Příkaz:
sudo apt-get update

Kód: [Vybrat]
Ign cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021) wily InRelease
Ign cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021) wily Release.gpg
Ign cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021) wily Release
Err cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021) wily/main amd64 Packages
  Pro přidání CD do APTu použijte apt-cdrom. apt-get update nelze využít pro přidávání nových CD.
Err cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021) wily/multiverse amd64 Packages
  Pro přidání CD do APTu použijte apt-cdrom. apt-get update nelze využít pro přidávání nových CD.
Err cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021) wily/restricted amd64 Packages
  Pro přidání CD do APTu použijte apt-cdrom. apt-get update nelze využít pro přidávání nových CD.
Err cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021) wily/universe amd64 Packages
  Pro přidání CD do APTu použijte apt-cdrom. apt-get update nelze využít pro přidávání nových CD.
Err cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021) wily/main i386 Packages
  Pro přidání CD do APTu použijte apt-cdrom. apt-get update nelze využít pro přidávání nových CD.
Err cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021) wily/multiverse i386 Packages
  Pro přidání CD do APTu použijte apt-cdrom. apt-get update nelze využít pro přidávání nových CD.
Err cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021) wily/restricted i386 Packages
  Pro přidání CD do APTu použijte apt-cdrom. apt-get update nelze využít pro přidávání nových CD.
Err cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021) wily/universe i386 Packages
  Pro přidání CD do APTu použijte apt-cdrom. apt-get update nelze využít pro přidávání nových CD.
Ign cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021) wily/main Translation-cs_CZ
Ign cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021) wily/main Translation-cs
Ign cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021) wily/main Translation-en
Ign cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021) wily/multiverse Translation-cs_CZ
Ign cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021) wily/multiverse Translation-cs
Ign cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021) wily/multiverse Translation-en
Ign cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021) wily/restricted Translation-cs_CZ
Ign cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021) wily/restricted Translation-cs
Ign cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021) wily/restricted Translation-en
Ign cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021) wily/universe Translation-cs_CZ
Ign cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021) wily/universe Translation-cs
Ign cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021) wily/universe Translation-en
Cíl http://cz.archive.ubuntu.com wily InRelease                               
Mám:1 http://cz.archive.ubuntu.com wily-updates InRelease [65,9 kB]           
Mám:2 http://security.ubuntu.com wily-security InRelease [65,9 kB]             
Ign http://dl.google.com stable InRelease                                     
Cíl http://dl.google.com stable Release.gpg                                   
Cíl http://dl.google.com stable Release                         
Mám:3 http://security.ubuntu.com wily-security/main Sources [54,3 kB]
Mám:4 http://security.ubuntu.com wily-security/restricted Sources [2 854 B]   
Mám:5 http://security.ubuntu.com wily-security/universe Sources [13,9 kB]     
Cíl http://dl.google.com stable/main amd64 Packages                           
Mám:6 http://security.ubuntu.com wily-security/multiverse Sources [2 784 B]   
Mám:7 http://cz.archive.ubuntu.com wily-updates/main Sources [87,4 kB]         
Mám:8 http://security.ubuntu.com wily-security/main amd64 Packages [174 kB]   
Mám:9 http://cz.archive.ubuntu.com wily-updates/restricted Sources [3 741 B]   
Mám:10 http://cz.archive.ubuntu.com wily-updates/universe Sources [27,6 kB]   
Mám:11 http://cz.archive.ubuntu.com wily-updates/multiverse Sources [3 198 B] 
Mám:12 http://cz.archive.ubuntu.com wily-updates/main amd64 Packages [240 kB] 
Mám:13 http://security.ubuntu.com wily-security/restricted amd64 Packages [10,9 kB]
Mám:14 http://security.ubuntu.com wily-security/universe amd64 Packages [56,5 kB]
Mám:15 http://cz.archive.ubuntu.com wily-updates/restricted amd64 Packages [13,3 kB]
Mám:16 http://cz.archive.ubuntu.com wily-updates/universe amd64 Packages [104 kB]
Mám:17 http://security.ubuntu.com wily-security/multiverse amd64 Packages [6 248 B]
Mám:18 http://cz.archive.ubuntu.com wily-updates/multiverse amd64 Packages [6 248 B]
Mám:19 http://cz.archive.ubuntu.com wily-updates/main i386 Packages [236 kB]   
Mám:20 http://security.ubuntu.com wily-security/main i386 Packages [171 kB]   
Mám:21 http://cz.archive.ubuntu.com wily-updates/restricted i386 Packages [13,4 kB]
Mám:22 http://cz.archive.ubuntu.com wily-updates/universe i386 Packages [102 kB]
Mám:23 http://security.ubuntu.com wily-security/restricted i386 Packages [10,8 kB]
Mám:24 http://cz.archive.ubuntu.com wily-updates/multiverse i386 Packages [6 676 B]
Mám:25 http://security.ubuntu.com wily-security/universe i386 Packages [56,6 kB]
Mám:26 http://security.ubuntu.com wily-security/multiverse i386 Packages [6 430 B]
Mám:27 http://cz.archive.ubuntu.com wily-updates/main Translation-en [114 kB] 
Mám:28 http://cz.archive.ubuntu.com wily-updates/multiverse Translation-en [3 156 B]
Mám:29 http://cz.archive.ubuntu.com wily-updates/restricted Translation-en [3 024 B]
Mám:30 http://cz.archive.ubuntu.com wily-updates/universe Translation-en [59,8 kB]
Cíl http://cz.archive.ubuntu.com wily/main Sources                             
Cíl http://cz.archive.ubuntu.com wily/restricted Sources                       
Cíl http://cz.archive.ubuntu.com wily/universe Sources                         
Cíl http://cz.archive.ubuntu.com wily/multiverse Sources                       
Cíl http://cz.archive.ubuntu.com wily/main amd64 Packages                     
Cíl http://cz.archive.ubuntu.com wily/restricted amd64 Packages     
Cíl http://cz.archive.ubuntu.com wily/universe amd64 Packages       
Cíl http://cz.archive.ubuntu.com wily/multiverse amd64 Packages     
Cíl http://cz.archive.ubuntu.com wily/main i386 Packages           
Cíl http://cz.archive.ubuntu.com wily/restricted i386 Packages     
Cíl http://security.ubuntu.com wily-security/main Translation-en   
Cíl http://cz.archive.ubuntu.com wily/universe i386 Packages       
Cíl http://cz.archive.ubuntu.com wily/multiverse i386 Packages     
Cíl http://cz.archive.ubuntu.com wily/main Translation-cs                     
Cíl http://cz.archive.ubuntu.com wily/main Translation-en                     
Cíl http://security.ubuntu.com wily-security/multiverse Translation-en   
Cíl http://security.ubuntu.com wily-security/restricted Translation-en   
Cíl http://cz.archive.ubuntu.com wily/multiverse Translation-cs           
Cíl http://cz.archive.ubuntu.com wily/multiverse Translation-en           
Cíl http://cz.archive.ubuntu.com wily/restricted Translation-cs           
Cíl http://security.ubuntu.com wily-security/universe Translation-en           
Cíl http://cz.archive.ubuntu.com wily/restricted Translation-en               
Cíl http://cz.archive.ubuntu.com wily/universe Translation-cs       
Cíl http://cz.archive.ubuntu.com wily/universe Translation-en
Ign http://dl.google.com stable/main Translation-cs_CZ
Ign http://dl.google.com stable/main Translation-cs
Ign http://dl.google.com stable/main Translation-en
Staženo 1 540 kB za 5s (273 kB/s)
W: Selhalo stažení cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021)/dists/wily/main/binary-amd64/Packages  Pro přidání CD do APTu použijte apt-cdrom. apt-get update nelze využít pro přidávání nových CD.

W: Selhalo stažení cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021)/dists/wily/multiverse/binary-amd64/Packages  Pro přidání CD do APTu použijte apt-cdrom. apt-get update nelze využít pro přidávání nových CD.

W: Selhalo stažení cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021)/dists/wily/restricted/binary-amd64/Packages  Pro přidání CD do APTu použijte apt-cdrom. apt-get update nelze využít pro přidávání nových CD.

W: Selhalo stažení cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021)/dists/wily/universe/binary-amd64/Packages  Pro přidání CD do APTu použijte apt-cdrom. apt-get update nelze využít pro přidávání nových CD.

W: Selhalo stažení cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021)/dists/wily/main/binary-i386/Packages  Pro přidání CD do APTu použijte apt-cdrom. apt-get update nelze využít pro přidávání nových CD.

W: Selhalo stažení cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021)/dists/wily/multiverse/binary-i386/Packages  Pro přidání CD do APTu použijte apt-cdrom. apt-get update nelze využít pro přidávání nových CD.

W: Selhalo stažení cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021)/dists/wily/restricted/binary-i386/Packages  Pro přidání CD do APTu použijte apt-cdrom. apt-get update nelze využít pro přidávání nových CD.

W: Selhalo stažení cdrom://Lubuntu 15.10 _Wily Werewolf_ - Release amd64 (20151021)/dists/wily/universe/binary-i386/Packages  Pro přidání CD do APTu použijte apt-cdrom. apt-get update nelze využít pro přidávání nových CD.

E: Některé indexové soubory se nepodařilo stáhnout. Jsou ignorovány, nebo jsou použity starší verze.

Příkaz:
sudo apt-get --reinstall install bcmwl-kernel-source

Kód: [Vybrat]
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
Následující balíky byly nainstalovány automaticky a již nejsou potřeba:
  linux-headers-4.2.0-16 linux-headers-4.2.0-16-generic linux-headers-4.2.0-36 linux-headers-4.2.0-36-generic linux-headers-4.2.0-38 linux-headers-4.2.0-38-generic
  linux-image-4.2.0-16-generic linux-image-4.2.0-36-generic linux-image-4.2.0-38-generic linux-image-extra-4.2.0-16-generic linux-image-extra-4.2.0-36-generic
  linux-image-extra-4.2.0-38-generic
Pro jejich odstranění použijte „apt-get autoremove“.
0 aktualizováno, 0 nově instalováno, 1 přeinstalováno, 0 k odstranění a 0 neaktualizováno.
Nutno stáhnout 0 B/1 515 kB archivů.
Po této operaci bude na disku použito dalších 0 B.
(Načítá se databáze … nyní je nainstalováno 483287 souborů a adresářů.)
Připravuje se nahrazení …/bcmwl-kernel-source_6.30.223.248+bdcom-0ubuntu7_amd64.deb …
Removing all DKMS Modules
rmdir: odstranění „“ selhalo: Adresář nebo soubor neexistuje
Done.
Rozbaluje se bcmwl-kernel-source (6.30.223.248+bdcom-0ubuntu7) přes (6.30.223.248+bdcom-0ubuntu7) …
Nastavuje se balík bcmwl-kernel-source (6.30.223.248+bdcom-0ubuntu7) …
Loading new bcmwl-6.30.223.248+bdcom DKMS files...
Building only for 4.2.0-42-generic
Building for architecture x86_64
Building initial module for 4.2.0-42-generic
Done.

wl:
Running module version sanity check.

Good news! Module version  for wl.ko
exactly matches what is already found in kernel 4.2.0-42-generic.
DKMS will not replace this module.
You may override by specifying --force.

depmod....

DKMS: install completed.
modprobe: ERROR: could not insert 'wl': Required key not available
update-initramfs: deferring update (trigger activated)
Zpracovávají se spouštěče pro balík shim-signed (1.17~15.10.1+0.8-0ubuntu2) …
Zpracovávají se spouštěče pro balík initramfs-tools (0.120ubuntu6) …
update-initramfs: Generating /boot/initrd.img-4.2.0-42-generic

Mezitím vyskočilo okýnko: https://dl.dropboxusercontent.com/u/82359244/2016-07-19%2022.34.26.jpg - dala jsem NE.

Příkaz:
rfkill list

Kód: [Vybrat]
0: hci0: Bluetooth
Soft blocked: no
Hard blocked: no

Příkaz:
lsmod

Kód: [Vybrat]
Module                  Size  Used by
hid_generic            16384  0
usbhid                 49152  0
ip6table_filter        16384  0
ip6_tables             28672  1 ip6table_filter
iptable_filter         16384  0
ip_tables              28672  1 iptable_filter
x_tables               36864  4 ip6table_filter,ip_tables,iptable_filter,ip6_tables
bnep                   20480  2
binfmt_misc            20480  1
nls_iso8859_1          16384  1
rtsx_usb_ms            20480  0
memstick               20480  1 rtsx_usb_ms
btusb                  45056  0
uvcvideo               90112  0
btrtl                  16384  1 btusb
btbcm                  16384  1 btusb
videobuf2_vmalloc      16384  1 uvcvideo
btintel                16384  1 btusb
videobuf2_memops       16384  1 videobuf2_vmalloc
videobuf2_core         49152  1 uvcvideo
bluetooth             516096  10 bnep,btbcm,btrtl,btusb,btintel
v4l2_common            16384  1 videobuf2_core
videodev              172032  3 uvcvideo,v4l2_common,videobuf2_core
media                  24576  2 uvcvideo,videodev
intel_rapl             20480  0
snd_hda_codec_hdmi     49152  1
snd_soc_rt5640        114688  0
x86_pkg_temp_thermal    16384  0
intel_powerclamp       16384  0
dell_led               16384  1
coretemp               16384  0
kvm_intel             167936  0
snd_hda_codec_realtek    86016  1
snd_hda_codec_generic    77824  1 snd_hda_codec_realtek
snd_hda_intel          36864  4
snd_hda_codec         135168  4 snd_hda_codec_realtek,snd_hda_codec_hdmi,snd_hda_codec_generic,snd_hda_intel
kvm                   516096  1 kvm_intel
snd_hda_core           65536  5 snd_hda_codec_realtek,snd_hda_codec_hdmi,snd_hda_codec_generic,snd_hda_codec,snd_hda_intel
crct10dif_pclmul       16384  0
joydev                 20480  0
dell_laptop            20480  0
crc32_pclmul           16384  0
dcdbas                 16384  1 dell_laptop
hid_rmi                24576  0
dell_wmi               16384  0
sparse_keymap          16384  1 dell_wmi
snd_soc_rl6231         16384  1 snd_soc_rt5640
snd_hwdep              16384  1 snd_hda_codec
snd_soc_core          200704  1 snd_soc_rt5640
cfg80211              557056  0
aesni_intel           167936  0
snd_seq_midi           16384  0
aes_x86_64             20480  1 aesni_intel
lrw                    16384  1 aesni_intel
gf128mul               16384  1 lrw
glue_helper            16384  1 aesni_intel
dell_smm_hwmon         16384  0
snd_compress           20480  1 snd_soc_core
input_leds             16384  0
ac97_bus               16384  1 snd_soc_core
ablk_helper            16384  1 aesni_intel
serio_raw              16384  0
snd_pcm_dmaengine      16384  1 snd_soc_core
snd_seq_midi_event     16384  1 snd_seq_midi
cryptd                 20480  2 aesni_intel,ablk_helper
snd_rawmidi            32768  1 snd_seq_midi
snd_pcm               106496  7 snd_soc_rt5640,snd_soc_core,snd_hda_codec_hdmi,snd_hda_codec,snd_hda_intel,snd_pcm_dmaengine,snd_hda_core
snd_seq                69632  2 snd_seq_midi_event,snd_seq_midi
snd_seq_device         16384  3 snd_seq,snd_rawmidi,snd_seq_midi
mei_me                 36864  0
snd_timer              32768  2 snd_pcm,snd_seq
snd                    81920  21 snd_hda_codec_realtek,snd_soc_core,snd_hwdep,snd_timer,snd_hda_codec_hdmi,snd_pcm,snd_seq,snd_rawmidi,snd_hda_codec_generic,snd_hda_codec,snd_hda_intel,snd_seq_device,snd_compress
mei                    98304  1 mei_me
soundcore              16384  1 snd
dw_dmac                16384  0
dw_dmac_core           24576  1 dw_dmac
snd_soc_sst_acpi       16384  0
8250_dw                16384  0
dell_rbtn              16384  0
shpchp                 36864  0
spi_pxa2xx_platform    24576  0
lpc_ich                24576  0
acpi_pad               20480  0
i2c_designware_platform    16384  0
i2c_designware_core    20480  1 i2c_designware_platform
mac_hid                16384  0
parport_pc             32768  0
ppdev                  20480  0
lp                     20480  0
parport                49152  3 lp,ppdev,parport_pc
autofs4                40960  2
rtsx_usb_sdmmc         28672  0
rtsx_usb               24576  2 rtsx_usb_sdmmc,rtsx_usb_ms
nouveau              1388544  1
i915                 1134592  4
mxm_wmi                16384  1 nouveau
ttm                    94208  1 nouveau
psmouse               126976  0
i2c_algo_bit           16384  2 i915,nouveau
drm_kms_helper        131072  2 i915,nouveau
ahci                   36864  3
libahci                32768  1 ahci
drm                   360448  8 ttm,i915,drm_kms_helper,nouveau
r8169                  81920  0
mii                    16384  1 r8169
wmi                    20480  4 dell_led,dell_wmi,mxm_wmi,nouveau
video                  40960  4 i915,dell_wmi,nouveau,dell_laptop
sdhci_acpi             16384  0
sdhci                  45056  1 sdhci_acpi
i2c_hid                20480  0
hid                   118784  4 i2c_hid,hid_generic,hid_rmi,usbhid

Když udělám to, co tam už radíš:

Příkaz:
sudo apt-get install --reinstall dkms build-essential (update jsem dala chvíli předtím)

Kód: [Vybrat]
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
Následující balíky byly nainstalovány automaticky a již nejsou potřeba:
  linux-headers-4.2.0-16 linux-headers-4.2.0-16-generic linux-headers-4.2.0-36 linux-headers-4.2.0-36-generic linux-headers-4.2.0-38 linux-headers-4.2.0-38-generic
  linux-image-4.2.0-16-generic linux-image-4.2.0-36-generic linux-image-4.2.0-38-generic linux-image-extra-4.2.0-16-generic linux-image-extra-4.2.0-36-generic
  linux-image-extra-4.2.0-38-generic
Pro jejich odstranění použijte „apt-get autoremove“.
0 aktualizováno, 0 nově instalováno, 2 přeinstalováno, 0 k odstranění a 0 neaktualizováno.
Nutno stáhnout 0 B/70,7 kB archivů.
Po této operaci bude na disku použito dalších 0 B.
(Načítá se databáze … nyní je nainstalováno 483287 souborů a adresářů.)
Připravuje se nahrazení …/build-essential_12.1ubuntu2_amd64.deb …
Rozbaluje se build-essential (12.1ubuntu2) přes (12.1ubuntu2) …
Připravuje se nahrazení …/dkms_2.2.0.3-2ubuntu6.2_all.deb …
Rozbaluje se dkms (2.2.0.3-2ubuntu6.2) přes (2.2.0.3-2ubuntu6.2) …
Zpracovávají se spouštěče pro balík man-db (2.7.4-1) …
Nastavuje se balík build-essential (12.1ubuntu2) …
Nastavuje se balík dkms (2.2.0.3-2ubuntu6.2) …

Dále:

Kód: [Vybrat]
uname -a
Linux Dell-Inspiron 4.2.0-42-generic #49-Ubuntu SMP Tue Jun 28 21:26:26 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Kód: [Vybrat]
lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 15.10
Release: 15.10
Codename: wily

Kód: [Vybrat]
apt-cache policy bcmwl-kernel-source
bcmwl-kernel-source:
  Instalovaná verze: 6.30.223.248+bdcom-0ubuntu7
  Kandidát:          6.30.223.248+bdcom-0ubuntu7
  Tabulka verzí:
 *** 6.30.223.248+bdcom-0ubuntu7 0
        500 http://cz.archive.ubuntu.com/ubuntu/ wily/restricted amd64 Packages
        100 /var/lib/dpkg/status

Kód: [Vybrat]
sudo dpkg --configure -a- Neudělá nic.

Odinstalace:
Kód: [Vybrat]
sudo apt-get remove --purge bcmwl-kernel-source
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
Následující balíky byly nainstalovány automaticky a již nejsou potřeba:
  dkms linux-headers-4.2.0-16 linux-headers-4.2.0-16-generic linux-headers-4.2.0-36 linux-headers-4.2.0-36-generic linux-headers-4.2.0-38
  linux-headers-4.2.0-38-generic linux-image-4.2.0-16-generic linux-image-4.2.0-36-generic linux-image-4.2.0-38-generic linux-image-extra-4.2.0-16-generic
  linux-image-extra-4.2.0-36-generic linux-image-extra-4.2.0-38-generic
Pro jejich odstranění použijte „apt-get autoremove“.
Následující balíky budou ODSTRANĚNY:
  bcmwl-kernel-source*
0 aktualizováno, 0 nově instalováno, 1 k odstranění a 0 neaktualizováno.
Po této operaci bude na disku uvolněno 8 012 kB.
Chcete pokračovat? [Y/n] y
(Načítá se databáze … nyní je nainstalováno 483287 souborů a adresářů.)
Odstraňuje se balík bcmwl-kernel-source (6.30.223.248+bdcom-0ubuntu7) …
Removing all DKMS Modules
rmdir: odstranění „“ selhalo: Adresář nebo soubor neexistuje
Done.
update-initramfs: deferring update (trigger activated)
Odstraňují se konfigurační soubory balíku bcmwl-kernel-source (6.30.223.248+bdcom-0ubuntu7) …
update-initramfs: deferring update (trigger activated)
Zpracovávají se spouštěče pro balík initramfs-tools (0.120ubuntu6) …
update-initramfs: Generating /boot/initrd.img-4.2.0-42-generic

Kód: [Vybrat]
sudo apt-get install -f
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
Následující balíky byly nainstalovány automaticky a již nejsou potřeba:
  dkms linux-headers-4.2.0-16 linux-headers-4.2.0-16-generic linux-headers-4.2.0-36 linux-headers-4.2.0-36-generic linux-headers-4.2.0-38
  linux-headers-4.2.0-38-generic linux-image-4.2.0-16-generic linux-image-4.2.0-36-generic linux-image-4.2.0-38-generic linux-image-extra-4.2.0-16-generic
  linux-image-extra-4.2.0-36-generic linux-image-extra-4.2.0-38-generic
Pro jejich odstranění použijte „apt-get autoremove“.
0 aktualizováno, 0 nově instalováno, 0 k odstranění a 0 neaktualizováno.

Kód: [Vybrat]
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
Následující balíky byly nainstalovány automaticky a již nejsou potřeba:
  linux-headers-4.2.0-16 linux-headers-4.2.0-16-generic linux-headers-4.2.0-36 linux-headers-4.2.0-36-generic linux-headers-4.2.0-38 linux-headers-4.2.0-38-generic
  linux-image-4.2.0-16-generic linux-image-4.2.0-36-generic linux-image-4.2.0-38-generic linux-image-extra-4.2.0-16-generic linux-image-extra-4.2.0-36-generic
  linux-image-extra-4.2.0-38-generic
Pro jejich odstranění použijte „apt-get autoremove“.
Následující NOVÉ balíky budou nainstalovány:
  bcmwl-kernel-source
0 aktualizováno, 1 nově instalováno, 0 k odstranění a 0 neaktualizováno.
Nutno stáhnout 0 B/1 515 kB archivů.
Po této operaci bude na disku použito dalších 8 012 kB.
Vybírá se dosud nevybraný balík bcmwl-kernel-source.
(Načítá se databáze … nyní je nainstalováno 483208 souborů a adresářů.)
Připravuje se nahrazení …/bcmwl-kernel-source_6.30.223.248+bdcom-0ubuntu7_amd64.deb …
Rozbaluje se bcmwl-kernel-source (6.30.223.248+bdcom-0ubuntu7) …
Nastavuje se balík bcmwl-kernel-source (6.30.223.248+bdcom-0ubuntu7) …
Loading new bcmwl-6.30.223.248+bdcom DKMS files...
First Installation: checking all kernels...
Building only for 4.2.0-42-generic
Building for architecture x86_64
Building initial module for 4.2.0-42-generic
Done.

wl:
Running module version sanity check.

Good news! Module version  for wl.ko
exactly matches what is already found in kernel 4.2.0-42-generic.
DKMS will not replace this module.
You may override by specifying --force.

depmod....

DKMS: install completed.
modprobe: ERROR: could not insert 'wl': Required key not available
update-initramfs: deferring update (trigger activated)
Zpracovávají se spouštěče pro balík shim-signed (1.17~15.10.1+0.8-0ubuntu2) …
Zpracovávají se spouštěče pro balík initramfs-tools (0.120ubuntu6) …
update-initramfs: Generating /boot/initrd.img-4.2.0-42-generic
Opět vyskočilo okýnko se secure boot - dala jsem NE.

Pokus vytvořit certifikát:
Kód: [Vybrat]
sudo apt-get install mokutil openssl
[sudo] heslo pro kattynka:
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
mokutil je již nejnovější verze.
openssl je již nejnovější verze.
Následující balíky byly nainstalovány automaticky a již nejsou potřeba:
  linux-headers-4.2.0-16 linux-headers-4.2.0-16-generic linux-headers-4.2.0-36 linux-headers-4.2.0-36-generic linux-headers-4.2.0-38 linux-headers-4.2.0-38-generic
  linux-image-4.2.0-16-generic linux-image-4.2.0-36-generic linux-image-4.2.0-38-generic linux-image-extra-4.2.0-16-generic linux-image-extra-4.2.0-36-generic
  linux-image-extra-4.2.0-38-generic
Pro jejich odstranění použijte „apt-get autoremove“.
0 aktualizováno, 0 nově instalováno, 0 k odstranění a 0 neaktualizováno.

Kód: [Vybrat]
openssl req -new -x509 -newkey rsa:2048 -keyout MOK.priv -outform DER -out MOK.der -nodes -days 36500 -subj "/CN=Descriptive name/"
Generating a 2048 bit RSA private key
................................................+++
......................+++
writing new private key to 'MOK.priv'
-----

Kód: [Vybrat]
sudo /usr/src/linux-headers-$(uname -r)/scripts/sign-file sha256 ./MOK.priv ./MOK.der $(modinfo -n wl)zde nic víc

Kód: [Vybrat]
sudo mokutil --import MOK.der
input password:
input password again:

Jdu restartovat, poté dopíšu zbytek.

Po restartu:

Kód: [Vybrat]
sudo modprobe -r b43 ssb wl brcmfmac brcmsmac bcma
[sudo] heslo pro kattynka:

Kód: [Vybrat]
sudo modprobe wl
modprobe: ERROR: could not insert 'wl': Required key not available

Wifi stále nejede :(
« Poslední změna: 19 Červenec 2016, 23:15:57 od Kattynka »

petertomasy

  • Stálý člen
  • ***
  • Příspěvků: 750
  • Karma: +86/-8
    • Zobrazit profil
Re:Lubuntu 15.04 - nejede wifi po aktualizaci
« Odpověď #8 kdy: 20 Červenec 2016, 20:50:56 »
prečítaj si nasledovné odkazy : https://elrepo.org/tiki/SecureBootKey
http://mojefedora.cz/vmware-a-virtualbox-na-systemech-se-secureboot/
 http://forum.ubuntu.cz/index.php?topic=76208.msg545643#msg545643
https://www.youtube.com/watch?v=KBYTeN5VXXg
ide o to , že po reštarte by sa mal spustiť grafický sprievodca "Shim UEFI key management" . A v ňom zapísať MOK kľúč .

niečo ako :



Počítač nyní restartujte a měl by se zobrazit průvodce importem podobný tomu na obrázku výše. V opačném případě zkuste místo GRUBu nabootovat shim.efi .

vxmery

Re:Lubuntu 15.04 - nejede wifi po aktualizaci
« Odpověď #9 kdy: 20 Červenec 2016, 21:04:07 »
@peter
Kattynka už bojuje s 16.04
Dobrá nálada nevyrieši všetky problémy ale naserie toľko ľudí, že stojí za to si ju zachovať.
Linux Mint 17.3

Kattynka

  • Návštěvník
  • *
  • Příspěvků: 15
  • Karma: +1/-0
    • Zobrazit profil
Re:Lubuntu 15.04 - nejede wifi po aktualizaci
« Odpověď #10 kdy: 20 Červenec 2016, 21:30:31 »
@peter
Kattynka už bojuje s 16.04
To je na druhý počítač, nefungující wifi je stále aktuální :D

Kattynka

  • Návštěvník
  • *
  • Příspěvků: 15
  • Karma: +1/-0
    • Zobrazit profil
Re:Lubuntu 15.04 - nejede wifi po aktualizaci
« Odpověď #11 kdy: 20 Červenec 2016, 21:31:05 »
prečítaj si nasledovné odkazy : https://elrepo.org/tiki/SecureBootKey
http://mojefedora.cz/vmware-a-virtualbox-na-systemech-se-secureboot/
 http://forum.ubuntu.cz/index.php?topic=76208.msg545643#msg545643
https://www.youtube.com/watch?v=KBYTeN5VXXg
ide o to , že po reštarte by sa mal spustiť grafický sprievodca "Shim UEFI key management" . A v ňom zapísať MOK kľúč .

niečo ako :



Počítač nyní restartujte a měl by se zobrazit průvodce importem podobný tomu na obrázku výše. V opačném případě zkuste místo GRUBu nabootovat shim.efi .

To se objevilo a podle návodu co byl v tom odkaze jsem tím i projela. Jedině, že bych udělala něco špatně :/

Martin Šácha

  • Člen občanského sdružení Ubuntu ČR a placené komunitní podpory
  • Administrátor fóra
  • Guru
  • ******
  • Příspěvků: 5144
  • Karma: +302/-77
    • Zobrazit profil
Re:Lubuntu 15.04 - nejede wifi po aktualizaci
« Odpověď #12 kdy: 25 Červenec 2016, 12:24:58 »
15.04 i 15.10 uz nejsou podporovane, zkus to v 16.04.
Mint 17 MATE 64bit / DuckDuckGo.com
Programátoři považují WYSIWYG za špatné u kódu i u žen. Programátor chce "dostat to, co žádá“ – kód tajemný, neodpouštějící, nebezpečný.